Subject: bug#79024: 31.0.50; Multiple working trees support for VC

From: Sean Whitton <[email-masked]>
Date: Sat, 19 Jul 2025 10:21:18 +0100

Hello,

On Tue 15 Jul 2025 at 12:50pm +01, Sean Whitton wrote:

> BACKEND FUNCTIONS
>
> - other-working-trees: Return a list of all other working trees.
>
> - add-working-tree, delete-working-tree, move-working-tree.

Here are my WIP specifications for these:

;; - other-working-trees ()
;;
;;   Return a list of all other working trees that use the same backing
;;   repository as this working tree.  The members of the list are the
;;   absolute file names of the root directories of the other working
;;   trees.
;;
;; - add-working-tree (directory)
;;
;;   Create a new working tree at DIRECTORY that uses the same backing
;;   repository as this working tree.
;;   What gets checked out in DIRECTORY is left to the backend because
;;   while some VCS can check out the same branch in multiple working
;;   trees (e.g. Mercurial), others allow each branch to be checked out
;;   in only one working tree (e.g. Git).
;;   If a new branch should be created then the backend should handle
;;   prompting for this, including prompting for a branch or tag from
;;   which to start/fork the new branch, like `vc-create-branch'.
;;
;; - delete-working-tree (directory)
;;
;;   Remove the working tree, assumed to be one that uses the same
;;   backing repository as this working tree, at DIRECTORY.
;;
;; - move-working-tree (from to)
;;
;;   Relocate the working tree, assumed to be one that uses the same
;;   backing repository as this working tree, at FROM to TO.

-- 
Sean Whitton